<div class="container">
  <app-inventory-filter (EmitInventoryFilterType)="showFilter($event)" ></app-inventory-filter>    
</div>
<mat-divider class="mat-elevation-z24">
</mat-divider>
<div class="container">
  <!-- My thirds-->
  <div class="row">  
    <div class="card">
      <div class="card-header" data-background-color="red">
        <span>
            <h3 class="title"> <b>Inventario</b> </h3>
            <p class="category">Puede ver su inventario por filtros</p>
        </span>
          
                <span class="fill-space">
  
                </span>
            </div>
            <div class="card-content table-responsive">
                <mat-table #table [dataSource]="dataSource">
                    <!-- Position Column -->

                    
                    <ng-container matColumnDef="position">
                        <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.detail.id_inventory_detail }}
                          </mat-cell>
                    </ng-container>
          
                    <!-- Name Column -->
                    <ng-container matColumnDef="name">
                        <mat-header-cell *matHeaderCellDef> <b>Nombre</b> </mat-header-cell>
                        <mat-cell *matCellDef="let element">
                            <a 
                            [routerLink]="['/dashboard/business/product-third/detail/',element.description.id_product_third]">
                            {{element.product.name_product}}
                        </a>
                            
                          
                        </mat-cell>
                      </ng-container>
          
                      <!-- Weight Column -->
                      <ng-container matColumnDef="weight">
                          <mat-header-cell *matHeaderCellDef> <b>Precio estandar</b> </mat-header-cell>
                          <mat-cell *matCellDef="let element">
                           {{element.description.standard_price }}
                            
                           
                          </mat-cell>
                        </ng-container>
          

                        <!-- Color Column -->
                        <ng-container matColumnDef="location">
                            <mat-header-cell *matHeaderCellDef> <b>Ubicacióon</b> </mat-header-cell>
                            <mat-cell *matCellDef="let element">
                                {{element.description.location}}
                            </mat-cell>
                          </ng-container>

                        <!-- Color Column -->
                        <ng-container matColumnDef="symbol">
                            <mat-header-cell *matHeaderCellDef> <b>Código</b> </mat-header-cell>
                            <mat-cell *matCellDef="let element">
                                {{element.product.code}}
                            </mat-cell>
                          </ng-container>
            
                          <!-- Color Column -->
                          <ng-container matColumnDef="direccion">
                            <mat-header-cell *matHeaderCellDef> <b>Cantidad Real</b> </mat-header-cell>
                            <mat-cell *matCellDef="let element">
                                {{element.detail.quantity }}
                                <!-- Modifcar la cantidad en tiempo real en el inventario -->
                                <!-- <a (click)=changeQuantity(element)>{{element.detail.quantity }}</a> -->
  
                            </mat-cell>
                          </ng-container>
          
                          <!-- Color Column -->

          
                          <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                          <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                  </mat-table>
            </div>
          </div>
        </div>
      
  
    <button mat-button routerLink="/dashboard/business"> Atras </button>
  </div>
  
